// Adjustable variables
// Keep in mind the the entire grid has
// one column of the gutter to the right,
// meaning the higher the grid-gutter-pixel-value,
// the more off-center the entire grid-container.
$grid-container-width: 960px;
$grid-gutter-pixel-width: 20px;

// Do not adjust these variables unless
// you're comfortable making more adjustments below.
$grid-columns: 24;

// Grid column width in pixels calculated based
// on above variables.
//
// Grid gutter and column width calculated in percentages.
$grid-column-pixel-width: ($grid-container-width - $grid-gutter-pixel-width * $grid-columns) / $grid-columns;
$grid-gutter-width: $grid-gutter-pixel-width / $grid-container-width * 100%;
$grid-column-width: $grid-column-pixel-width / $grid-container-width * 100%;

// Main page or grid container.
@mixin grid-container {
  margin: 0 auto;
  width: 90%;
  max-width: $grid-container-width;
}

// Optional to use: an individual group
// of grid boxes—forces them to occupy only
// their own row.
@mixin box-group {
  overflow: hidden;
  clear: both;
}

// The column mixin includes its own
// media queries so that it can, if the
// designer wishes, change the number of
// columns a box occupies based on viewport
// width.
//
// Alternatively, comment these media queries out
// and write your own, or manually create them where
// necessary in your main stylesheets.
@mixin column($cols) {
  margin-right: $grid-gutter-width;
  float: left;
  width: $grid-column-width * $cols + $grid-gutter-width * ($cols - 1);

  @media screen and (max-width: 960px) {
    @if $cols <= $grid-columns / 4 { // i.e. for 24 columns: <= 6
      $cols: 8;
      width: $grid-column-width * $cols + $grid-gutter-width * ($cols - 1);
    }
  }

  @media screen and (max-width: 720px) {
    @if $cols <= $grid-columns / 3 { // i.e. for 24 columns: <= 8
      $cols: 12;
      width: $grid-column-width * $cols + $grid-gutter-width * ($cols - 1);
    }
  }

  @media screen and (max-width: 480px) {
    width: 100%;
    margin-right: 0;
  }
}
